### File

`packages/ecl/components/ecl-checkbox/ecl-checkbox-help.component.ts`

### Description

Displays help text associated with a checkbox.

### Extends

`ECLBaseDirective`

### Metadata

selector | `[eclCheckboxHelp]`
templateUrl | `./ecl-checkbox-help.component.html`

### Index

###### Methods
getCssClasses
###### Inputs
isDisabled class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

isDisabled
Type : `boolean`
Default value : `false`
Indicates whether the help text is disabled (e.g. visually muted).

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Applies base CSS classes for checkbox help.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Accessors

cssClasses
get `cssClasses()`
Applies base CSS classes for checkbox help. Returns : `string`

# results matching ""

# No results matching ""